{-|
Module      : Monomer.Graphics.ColorTable
Copyright   : (c) 2018 Francisco Vallarino
License     : BSD-3-Clause (see the LICENSE file)
Maintainer  : fjvallarino@gmail.com
Stability   : experimental
Portability : non-portable

Color table imported from https://www.rapidtables.com/web/color/RGB_Color.html.
-}
module Monomer.Graphics.ColorTable where

import Monomer.Graphics.Util (rgbHex)

maroon = rgbHex "#800000"
darkRed = rgbHex "#8B0000"
brown = rgbHex "#A52A2A"
firebrick = rgbHex "#B22222"
crimson = rgbHex "#DC143C"
red = rgbHex "#FF0000"
tomato = rgbHex "#FF6347"
coral = rgbHex "#FF7F50"
indianRed = rgbHex "#CD5C5C"
lightCoral = rgbHex "#F08080"
darkSalmon = rgbHex "#E9967A"
salmon = rgbHex "#FA8072"
lightSalmon = rgbHex "#FFA07A"
orangeRed = rgbHex "#FF4500"
darkOrange = rgbHex "#FF8C00"
orange = rgbHex "#FFA500"
gold = rgbHex "#FFD700"
darkGoldenRod = rgbHex "#B8860B"
goldenRod = rgbHex "#DAA520"
paleGoldenRod = rgbHex "#EEE8AA"
darkKhaki = rgbHex "#BDB76B"
khaki = rgbHex "#F0E68C"
olive = rgbHex "#808000"
yellow = rgbHex "#FFFF00"
yellowGreen = rgbHex "#9ACD32"
darkOliveGreen = rgbHex "#556B2F"
oliveDrab = rgbHex "#6B8E23"
lawnGreen = rgbHex "#7CFC00"
chartReuse = rgbHex "#7FFF00"
greenYellow = rgbHex "#ADFF2F"
darkGreen = rgbHex "#006400"
green = rgbHex "#008000"
forestGreen = rgbHex "#228B22"
lime = rgbHex "#00FF00"
limeGreen = rgbHex "#32CD32"
lightGreen = rgbHex "#90EE90"
paleGreen = rgbHex "#98FB98"
darkSeaGreen = rgbHex "#8FBC8F"
mediumSpringGreen = rgbHex "#00FA9A"
springGreen = rgbHex "#00FF7F"
seaGreen = rgbHex "#2E8B57"
mediumAquaMarine = rgbHex "#66CDAA"
mediumSeaGreen = rgbHex "#3CB371"
lightSeaGreen = rgbHex "#20B2AA"
darkSlateGray = rgbHex "#2F4F4F"
teal = rgbHex "#008080"
darkCyan = rgbHex "#008B8B"
aqua = rgbHex "#00FFFF"
cyan = rgbHex "#00FFFF"
lightCyan = rgbHex "#E0FFFF"
darkTurquoise = rgbHex "#00CED1"
turquoise = rgbHex "#40E0D0"
mediumTurquoise = rgbHex "#48D1CC"
paleTurquoise = rgbHex "#AFEEEE"
aquaMarine = rgbHex "#7FFFD4"
powderBlue = rgbHex "#B0E0E6"
cadetBlue = rgbHex "#5F9EA0"
steelBlue = rgbHex "#4682B4"
cornFlowerBlue = rgbHex "#6495ED"
deepSkyBlue = rgbHex "#00BFFF"
dodgerBlue = rgbHex "#1E90FF"
lightBlue = rgbHex "#ADD8E6"
skyBlue = rgbHex "#87CEEB"
lightSkyBlue = rgbHex "#87CEFA"
midnightBlue = rgbHex "#191970"
navy = rgbHex "#000080"
darkBlue = rgbHex "#00008B"
mediumBlue = rgbHex "#0000CD"
blue = rgbHex "#0000FF"
royalBlue = rgbHex "#4169E1"
blueViolet = rgbHex "#8A2BE2"
indigo = rgbHex "#4B0082"
darkSlateBlue = rgbHex "#483D8B"
slateBlue = rgbHex "#6A5ACD"
mediumSlateBlue = rgbHex "#7B68EE"
mediumPurple = rgbHex "#9370DB"
darkMagenta = rgbHex "#8B008B"
darkViolet = rgbHex "#9400D3"
darkOrchid = rgbHex "#9932CC"
mediumOrchid = rgbHex "#BA55D3"
purple = rgbHex "#800080"
thistle = rgbHex "#D8BFD8"
plum = rgbHex "#DDA0DD"
violet = rgbHex "#EE82EE"
magenta = rgbHex "#FF00FF"
fuchsia = rgbHex "#FF00FF"
orchid = rgbHex "#DA70D6"
mediumVioletRed = rgbHex "#C71585"
paleVioletRed = rgbHex "#DB7093"
deepPink = rgbHex "#FF1493"
hotPink = rgbHex "#FF69B4"
lightPink = rgbHex "#FFB6C1"
pink = rgbHex "#FFC0CB"
antiqueWhite = rgbHex "#FAEBD7"
beige = rgbHex "#F5F5DC"
bisque = rgbHex "#FFE4C4"
blanchedAlmond = rgbHex "#FFEBCD"
wheat = rgbHex "#F5DEB3"
cornSilk = rgbHex "#FFF8DC"
lemonChiffon = rgbHex "#FFFACD"
lightGoldenRodYellow = rgbHex "#FAFAD2"
lightYellow = rgbHex "#FFFFE0"
saddleBrown = rgbHex "#8B4513"
sienna = rgbHex "#A0522D"
chocolate = rgbHex "#D2691E"
peru = rgbHex "#CD853F"
sandyBrown = rgbHex "#F4A460"
burlyWood = rgbHex "#DEB887"
tan = rgbHex "#D2B48C"
rosyBrown = rgbHex "#BC8F8F"
moccasin = rgbHex "#FFE4B5"
navajoWhite = rgbHex "#FFDEAD"
peachPuff = rgbHex "#FFDAB9"
mistyRose = rgbHex "#FFE4E1"
lavenderBlush = rgbHex "#FFF0F5"
linen = rgbHex "#FAF0E6"
oldLace = rgbHex "#FDF5E6"
papayaWhip = rgbHex "#FFEFD5"
seaShell = rgbHex "#FFF5EE"
mintCream = rgbHex "#F5FFFA"
slateGray = rgbHex "#708090"
lightSlateGray = rgbHex "#778899"
lightSteelBlue = rgbHex "#B0C4DE"
lavender = rgbHex "#E6E6FA"
floralWhite = rgbHex "#FFFAF0"
aliceBlue = rgbHex "#F0F8FF"
ghostWhite = rgbHex "#F8F8FF"
honeydew = rgbHex "#F0FFF0"
ivory = rgbHex "#FFFFF0"
azure = rgbHex "#F0FFFF"
snow = rgbHex "#FFFAFA"
black = rgbHex "#000000"
dimGray = rgbHex "#696969"
darkGray = rgbHex "#808080"
gray = rgbHex "#A9A9A9"
silver = rgbHex "#C0C0C0"
lightGray = rgbHex "#D3D3D3"
gainsboro = rgbHex "#DCDCDC"
whiteSmoke = rgbHex "#F5F5F5"
white = rgbHex "#FFFFFF"
